Download it now!
Bug 102195 - Text between two animated lines disappears in slideshow
Summary: Text between two animated lines disappears in slideshow
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Mike Kaganski
URL:
Whiteboard: target:6.2.0 target:6.1.0.1
Keywords:
Depends on:
Blocks: Slide-Show
  Show dependency treegraph
 
Reported: 2016-09-14 12:10 UTC by Katarina Behrens (Inactive)
Modified: 2018-07-03 16:57 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
1-slide presentation to demonstrate the issue (13.50 KB, application/vnd.oasis.opendocument.presentation)
2016-09-14 12:10 UTC, Katarina Behrens (Inactive)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Katarina Behrens (Inactive) 2016-09-14 12:10:36 UTC
Created attachment 127331 [details]
1-slide presentation to demonstrate the issue

It's this time of the year (= conference time) to report some bugs in Impress again ;-)

Attached is a slide from my LibO Con presentation, reduced to minimum to show the bug. It contains a paragraph of text and the whole text is normally visible in edit mode.

2 lines of the paragraph however have an animation assigned (Emphasis > Change font colour) - 'Toggle = TRUE' and 'Toolbox = TRUE'. So far so good.

Now start the slideshow (F5)

Expected: The whole paragraph will be visible 

Actual: The chunk of text between the two animated lines is NOT visible and doesn't appear ever, not even after the animations have run.

4.4.7 is the oldes version I've been able to reproduce the bug with. I see the issue w/ ~relatively recent self-built master too
Comment 1 Buovjaga 2016-10-07 18:15:00 UTC
Confirmed. Not a regression, though :)
We need 2 confs per year to discover all these sneaky ones..

Arch Linux 64-bit, KDE Plasma 5
Version: 5.3.0.0.alpha0+
Build ID: ff2a399b61f34f7920e594e8cbb6c19045b24956
CPU Threads: 8; OS Version: Linux 4.7; UI Render: default; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on October 7th 2016

Arch Linux 64-bit
LibreOffice 3.3.0 
OOO330m19 (Build:6)
tag libreoffice-3.3.0.4
Comment 2 mtks+3krr 2017-09-02 12:50:49 UTC
I can confirm on LO 5.2.7.2 Debian Stretch x64.
Comment 3 Xavier Van Wijmeersch 2017-09-03 11:55:31 UTC
confirm with

Version: 5.4.2.0.0+
Build ID: 875baa884dd64abc9c8e454e82f584b519058e90
CPU threads: 8; OS: Linux 4.9; UI render: default; VCL: kde4; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:libreoffice-5-4, Time: 2017-09-02_02:52:38
Locale: nl-BE (en_US.UTF-8); Calc: group
Comment 4 Mike Kaganski 2018-06-28 04:55:49 UTC
https://gerrit.libreoffice.org/56571
Comment 5 Commit Notification 2018-06-28 08:05:05 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4600b07c1d787f959618d9ecf54161e4ea4ffa61

tdf#102195: don't exclude everything between first and last subset

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2018-07-03 16:57:55 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "libreoffice-6-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e41c9749310d06da1bf0387a5e11326bdd3bb988&h=libreoffice-6-1

tdf#102195: don't exclude everything between first and last subset

It will be available in 6.1.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.